#include "evidence.h"
#include <QLabel>
#include <QLineEdit>
#include <QHeaderView>
#include <QMenuBar>
#include <QWidget>

Evidence::Evidence(QWidget *parent)
    : QMainWindow(parent)
{
    createMenu();

    layout = new QVBoxLayout();

    table = new QTableView();
    table->setSizePolicy(QSizePolicy::Expanding, QSizePolicy::Expanding);
    fillTable(table);
    layout->addWidget(table);

    // QFormLayout na Jmeno, Prijmeni, Vek

    tab = new QTabWidget();
    tab->setSizePolicy(QSizePolicy::Expanding, QSizePolicy::Fixed);
    layout->addWidget(tab);

    tab1 = new QFrame();
    tab1_l = new QGridLayout();
    tab1_l->addWidget(new QLabel(QString("Adresa")), 0, 0);
    tab1_l->setSizeConstraint(QLayout::SetFixedSize);
    tab1->setLayout(tab1_l);
    tab->addTab(tab1, QString("Adresa"));

    // Tlacitka: Novy, Ulozit, Smazat

    main_frame = new QFrame();
    main_frame->setLayout(layout);
    setCentralWidget(main_frame);
}

void Evidence::createMenu()
{
    filemenu = new QMenu("&Soubor");
    exit_act = new QAction("&Konec", this);
    filemenu->addAction(exit_act);

    connect(exit_act, SIGNAL(triggered()), this, SLOT(close()));

    menuBar()->addMenu(filemenu);
}

void Evidence::fillTable(QTableView* table)
{
    int nrow = 4;
    int ncol = 3;

    const char* cols[] = { "Jmeno", "Prijmeni", "Vek" };
    const char* names[] = { "Karel", "Vaclav", "Pavel", "Petr" };
    const char* snames[] = { "Gott", "Sverkos", "Nedved", "Nedved" };
    const char* ages[] = { "75", "30", "35", "42" };

    model = new QStandardItemModel( nrow, ncol, this );

    for (int r=0; r<ncol; r++) model->setHorizontalHeaderItem( r, new QStandardItem( QString(cols[r] )) );

    for( int r=0; r<nrow; r++ )
    {
        QStandardItem *item_name = new QStandardItem(QString(names[r]));
        QStandardItem *item_sname = new QStandardItem(QString(snames[r]));
        QStandardItem *item_ages = new QStandardItem(QString(ages[r]));
        model->setItem(r, 0, item_name);
        model->setItem(r, 1, item_sname);
        model->setItem(r, 2, item_ages);
    }
    table->setModel(model);

    table->horizontalHeader()->setSectionResizeMode(QHeaderView::Stretch);
    // table->horizontalHeader()->setResizeMode(QHeaderView::Stretch);
}

Evidence::~Evidence()
{

}
